Edit

Share via


Tags - Bulk Create Tags

Create new tags.

Permissions

The caller must have administrator rights such as Fabric administrator.

Required Delegated Scopes

Tenant.ReadWrite.All.

Limitations

Maximum 25 requests per one minute per principal.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/admin/tags/bulkCreateTags

Request Body

Name Required Type Description
createTagsRequest True

CreateTagRequest[]

An array of createTagRequest

scope TagScope:

Represents a tag scope

Responses

Name Type Description
201 Created

CreateTagsResponse

Tags created successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred

  • InvalidInputs - Invalid input was provided

  • EntityConflict - Tag display name already exists

  • EntityNotFound - Domain ID does not exist

Examples

Create domain tags in bulk example
Create tenant tags in bulk example
Create tenant tags in bulk example with explicit scope

Create domain tags in bulk example

Sample request

POST https://api.fabric.microsoft.com/v1/admin/tags/bulkCreateTags

{
  "scope": {
    "type": "Domain",
    "domainId": "e408a2ca-0e43-49d6-86d3-f2558508d32a"
  },
  "createTagsRequest": [
    {
      "displayName": "Finance 2024"
    },
    {
      "displayName": "HR 2024"
    }
  ]
}

Sample response

{
  "tags": [
    {
      "id": "e281785b-5608-41ac-a1a1-78b48b95b825",
      "displayName": "Finance 2024",
      "scope": {
        "type": "Domain",
        "domainId": "e408a2ca-0e43-49d6-86d3-f2558508d32a"
      }
    },
    {
      "id": "24402490-9519-48b9-9d51-b2db4095a56b",
      "displayName": "HR 2024",
      "scope": {
        "type": "Domain",
        "domainId": "e408a2ca-0e43-49d6-86d3-f2558508d32a"
      }
    }
  ]
}

Create tenant tags in bulk example

Sample request

POST https://api.fabric.microsoft.com/v1/admin/tags/bulkCreateTags

{
  "createTagsRequest": [
    {
      "displayName": "Finance 2024"
    },
    {
      "displayName": "HR 2024"
    }
  ]
}

Sample response

{
  "tags": [
    {
      "id": "e281785b-5608-41ac-a1a1-78b48b95b825",
      "displayName": "Finance 2024",
      "scope": {
        "type": "Tenant"
      }
    },
    {
      "id": "24402490-9519-48b9-9d51-b2db4095a56b",
      "displayName": "HR 2024",
      "scope": {
        "type": "Tenant"
      }
    }
  ]
}

Create tenant tags in bulk example with explicit scope

Sample request

POST https://api.fabric.microsoft.com/v1/admin/tags/bulkCreateTags

{
  "scope": {
    "type": "Tenant"
  },
  "createTagsRequest": [
    {
      "displayName": "Finance 2024"
    },
    {
      "displayName": "HR 2024"
    }
  ]
}

Sample response

{
  "tags": [
    {
      "id": "e281785b-5608-41ac-a1a1-78b48b95b825",
      "displayName": "Finance 2024",
      "scope": {
        "type": "Tenant"
      }
    },
    {
      "id": "24402490-9519-48b9-9d51-b2db4095a56b",
      "displayName": "HR 2024",
      "scope": {
        "type": "Tenant"
      }
    }
  ]
}

Definitions

Name Description
CreateTagRequest

The request payload for creating a tag.

CreateTagsRequest

This is a request wrapper for a creating a list of tags.

CreateTagsResponse

A response wrapper for a list of created tags.

DomainTagScope

Represents domain tag scope.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

Tag

Represents a tag.

TenantTagScope

Represents tenant tag scope.

CreateTagRequest

The request payload for creating a tag.

Name Type Description
displayName

string

The tag display name. The display name cannot contain more than 40 characters.

CreateTagsRequest

This is a request wrapper for a creating a list of tags.

Name Type Description
createTagsRequest

CreateTagRequest[]

An array of createTagRequest

scope TagScope:

Represents a tag scope

CreateTagsResponse

A response wrapper for a list of created tags.

Name Type Description
tags

Tag[]

An array of tags

DomainTagScope

Represents domain tag scope.

Name Type Description
domainId

string (uuid)

Domain object ID

type string:

Domain

Denotes tag scope. Additional tag scopes may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

Tag

Represents a tag.

Name Type Description
displayName

string

The name of the tag.

id

string (uuid)

The tag object ID.

scope TagScope:

The scope of the tag.

TenantTagScope

Represents tenant tag scope.

Name Type Description
type string:

Tenant

Denotes tag scope. Additional tag scopes may be added over time.